Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155291 - default xorg.conf should include Synaptics touchpad support
Summary: default xorg.conf should include Synaptics touchpad support
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-mouse
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Depends On: 158062
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-18 19:54 UTC by Per Bothner
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-14 22:31:08 UTC


Attachments (Terms of Use)
Re-generated xorg.conf (deleted)
2005-04-29 18:12 UTC, Per Bothner
no flags Details
Output of cat /proc/bus/input/devices (deleted)
2005-04-29 18:13 UTC, Per Bothner
no flags Details

Description Per Bothner 2005-04-18 19:54:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020

Description of problem:
The installed kernel now has support for the extended features of the ALPS / Synaptics touchpad common on laptops.
If would be nice if Anaconda and/or the xorg configurator could add the appropriate Input device sections in xorg.conf.
Of course this should be done so it doesn't conflict with an external mouse.
Also, if it is conditional on having the appropriate hardware (which makes sense) it should add the appropriate sections even if an external mouse is plugged in during setup.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Comment 1 Mike A. Harris 2005-04-20 16:09:50 UTC
We only ship our own configuration tool currently, and disable the Xorg
supplied tools.  The X server does not come with a default config file,
so it is all generated by system-config-display.

We ship the synaptics driver already in the "synaptics" rpm.  I'm not sure
exactly how our tools configure it currently however as I don't have
the hardware personally.

Reassigning to system-config-mouse for review.

Comment 2 Paul Nasrat 2005-04-28 09:43:22 UTC
We should be configuring synaptics.  Can you backup your xorg.conf and also run
system-config-display --reconfig to see if that configures it for you.  Please
attach uncompressed the xorg.conf generated.

Please paste into a comment the output of cat /proc/bus/input/devices

Comment 3 Per Bothner 2005-04-29 18:12:29 UTC
Created attachment 113860 [details]
Re-generated xorg.conf

As requested, xorg.cond resulting from system-config-display --reconfig.

Comment 4 Per Bothner 2005-04-29 18:13:44 UTC
Created attachment 113862 [details]
Output of cat /proc/bus/input/devices

Comment 5 Per Bothner 2005-04-29 18:16:30 UTC
I did as requested.  The mouse wrks as a mouse, but things like
scrolling using the scroll area of the touch-pad don't work.
It does work after manually pasting in appropriate options to
the InputDevice section.


Comment 6 Paul Nasrat 2005-05-19 17:06:41 UTC
Just commited appropriate stuff to rhpl for ALPS and to anaconda so we have the
synaptics driver and thus configure it.

Comment 7 Paul Nasrat 2005-09-14 22:31:08 UTC
ALPS and synaptics are working correctly for me


Note You need to log in before you can comment on or make changes to this bug.